import speech_recognition as sr
from gtts import gTTS
import os
import playsound
from translate import Translator

def speak(text):
    tts = gTTS(text=text, lang='ko')
    filename='voice.mp3'
    tts.save(filename) # 파일을 만들고,
    playsound.playsound(filename) # 해당 음성파일을 실행(즉, 음성을 말함)
    os.remove(filename)

def speak2(text):
    tts = gTTS(text=text, lang='en')
    filename='voice.mp3'
    tts.save(filename) # 파일을 만들고,
    playsound.playsound(filename) # 해당 음성파일을 실행(즉, 음성을 말함)
    os.remove(filename)


def get_audio():
    r = sr.Recognizer()
    with sr.Microphone() as source:
        print("say something")
        audio = r.listen(source)
        said = " "

        try:
            said = r.recognize_google(audio, language="ko-KR")
            print("Your speech thinks like: ", said)
        except Exception as e:
            print("Exception: " + str(e))
    
    return said




speak("안녕하세요. 2초 후에 한국어로 말을 하시면 영어로 번역하여 말을합니다.") 

# 1.음성입력
text=get_audio()



# 2.번역 부분(한글->영어로)
translator = Translator(from_lang="ko", to_lang="en")
translation = translator.translate(text)
print(translation)


# 3.음성 출력
speak2(translation) 
